Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023078
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2013-02-14 10:532013-06-03 08:16
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision7331622675df
ProjectionnoneETAnoneTarget Version3.0MP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023078: Visible at User validation not working properly if a module is marked as default in Preference Window

DescriptionIf we have a module in in development status and the "default" checkbox checked, the "visible at user" field in Preference window only displays the system administrator user.
Steps To Reproduce1) As system administrator, go to the [Module] window and put a module in "in development" status and also check the "default" checkbox.

2) As group admin role, go to the [Preference] window
3) By default the module used in 1) appears in the module field. The "Visible at user" field shows only the system administrator user. This is correct according to the validation set for this field in the application dictionary.
4) Leave the module field empty. The "Visible at user" field shows only the system administrator user, this is wrong, because the entire list of users for this client must be displayed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057423)
jonalegriaesarte (reporter)
2013-03-25 14:34

Changed to MP23 due to other priorities
(0058369)
jonalegriaesarte (reporter)
2013-04-30 19:23

Moved to MP24
(0058678)
hgbot (developer)
2013-05-17 09:24

Repository: erp/devel/pi
Changeset: 224f9a8878c9b2e5d423d543c7daa44adb198fc2
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 17 09:24:22 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/224f9a8878c9b2e5d423d543c7daa44adb198fc2 [^]

Related to issue 23078: ID of the default module is no longer stored in session

When a module is set as default, its ID used to be stored in session with the @AD_MODULE_ID@ key. The problem is that when a validation uses the value of a module combo, and no option is selected in the combo, the validation will use the ID of the default module instead of the one selected in the combo (empty string in this case).

This has been solved by preventing the ID of the default module to be stored in session. Module fields can now be initialized to be initialized with the default module using its column default value.

---
M src/org/openbravo/base/secureApp/DefaultSessionValues_data.xsql
---
(0058679)
hgbot (developer)
2013-05-17 10:23

Repository: erp/devel/pi
Changeset: 1150aa0cfdf3d9caf409ea0e276e6886dd7ea25c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 17 10:21:19 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1150aa0cfdf3d9caf409ea0e276e6886dd7ea25c [^]

Fixes issue 23078: Updated the default value of AD_MODULE_ID columns

The ID of the default module is no longer stored in session, so now AD_MODULE_ID columns need this default value to be initialized with the default module: @SQL=SELECT MAX(AD_MODULE_ID) FROM AD_MODULE WHERE ISDEFAULT='Y'

This default value has been set to all mandatory, displayed columns that belong to non read only tabs.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0058680)
AugustoMauch (developer)
2013-05-17 10:34

The default value of the ad_module_id columns of the following tables have been updated: OBSERDS_Datasource, PromotionType, OBUIAPP_Menu_Parameters, OBUIAPP_NavigationBarComponent, OBCLKER_UIDefinition, OBCLKER_Template, OBUIAPP_View_Implementation
(0058825)
hudsonbot (developer)
2013-05-23 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058826)
hudsonbot (developer)
2013-05-23 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0059015)
alostale (developer)
2013-05-29 11:39

Reopening it:

After the fix, module's default value for some child tabs is the module marked as default and not the one of its parent.

Example:
-Having module A and B in development, B default
-Create a new Menu entry for module A
-Create a new Menu Parameters window -> By default it takes B, but it should be A

This should work in the same way Window and Tabs works.
(0059073)
hgbot (developer)
2013-05-30 13:39

Repository: erp/devel/pi
Changeset: 7331622675df1b2abf4995fab7661f5b0252800e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu May 30 13:35:27 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7331622675df1b2abf4995fab7661f5b0252800e [^]

Fixes issue 23078: Child tabs use parent ad_module_id as default

The module column of child tabs should not be defaulted to the module flagged as default, but to the module of the record parent. This has been fixed for the module columns for the Menu - Menu Parameters and the Reference - User Interface Definition tabs.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_COLUMN.xml
---
(0059109)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059119)
alostale (developer)
2013-06-03 08:16

Now working as expected

- Issue History
Date Modified Username Field Change
2013-02-14 10:53 caristu New Issue
2013-02-14 10:53 caristu Assigned To => dmiguelez
2013-02-14 10:53 caristu Modules => Core
2013-02-14 10:53 caristu Triggers an Emergency Pack => No
2013-02-14 10:54 caristu Issue Monitored: networkb
2013-02-14 11:49 naiaramartinez Assigned To dmiguelez => jonalegriaesarte
2013-03-25 14:34 jonalegriaesarte Note Added: 0057423
2013-03-25 14:34 jonalegriaesarte Target Version 3.0MP22 => 3.0MP23
2013-04-30 19:23 jonalegriaesarte Note Added: 0058369
2013-04-30 19:23 jonalegriaesarte Target Version 3.0MP23 => 3.0MP24
2013-05-07 17:05 dmiguelez Assigned To jonalegriaesarte => dmiguelez
2013-05-10 13:28 dmiguelez Assigned To dmiguelez => AugustoMauch
2013-05-17 09:24 hgbot Checkin
2013-05-17 09:24 hgbot Note Added: 0058678
2013-05-17 10:23 hgbot Checkin
2013-05-17 10:23 hgbot Note Added: 0058679
2013-05-17 10:23 hgbot Status new => resolved
2013-05-17 10:23 hgbot Resolution open => fixed
2013-05-17 10:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1150aa0cfdf3d9caf409ea0e276e6886dd7ea25c [^]
2013-05-17 10:27 AugustoMauch Review Assigned To => alostale
2013-05-17 10:34 AugustoMauch Note Added: 0058680
2013-05-23 01:33 hudsonbot Checkin
2013-05-23 01:33 hudsonbot Note Added: 0058825
2013-05-23 01:33 hudsonbot Checkin
2013-05-23 01:33 hudsonbot Note Added: 0058826
2013-05-29 11:39 alostale Note Added: 0059015
2013-05-29 11:39 alostale Status resolved => new
2013-05-29 11:39 alostale Resolution fixed => open
2013-05-30 13:39 hgbot Checkin
2013-05-30 13:39 hgbot Note Added: 0059073
2013-05-30 13:39 hgbot Status new => resolved
2013-05-30 13:39 hgbot Resolution open => fixed
2013-05-30 13:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/1150aa0cfdf3d9caf409ea0e276e6886dd7ea25c [^] => http://code.openbravo.com/erp/devel/pi/rev/7331622675df1b2abf4995fab7661f5b0252800e [^]
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059109
2013-06-03 08:16 alostale Note Added: 0059119
2013-06-03 08:16 alostale Status resolved => closed
2013-06-03 08:16 alostale Fixed in Version => 3.0MP24


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker